GET /api/v3/chargebackWorkflow/{chargebackWorkflowId}

Get a chargeback workflow

GetChargebackWorkflowV3 Permissions: ChargebacksModule (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
chargebackWorkflowId Chargeback workflow id integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

ChargebackWorkflowResponse
Property Description Type
chargebackWorkflowId Identifier for the chargeback workflow integer (int32)
chargebackWorkflowInfo Name given to the chargeback workflow string
chargebackWorkflowSteps List of workflow steps with details ChargebackWorkflowStep[]
ChargebackWorkflowStep properties
Property Description Type
chargebackWorkflowStepDescription Description for the chargeback workflow step string
chargebackWorkflowStepId Identifier for the chargeback workflow step integer (int32)
chargebackWorkflowStepInfo Name given to the chargeback workflow step string
chargebackWorkflowStepOrder The order for this step within the chargeback workflow integer (int32)
chargebackWorkflowStepType The chargeback type that can be assign to this chargeback workflow step. Either “Split” or “Calculation” string
Example Response application/json
{  "chargebackWorkflowId": 1,  "chargebackWorkflowInfo": "string",  "chargebackWorkflowSteps": [
    {    "chargebackWorkflowStepDescription": "string",    "chargebackWorkflowStepId": 1,    "chargebackWorkflowStepInfo": "string",    "chargebackWorkflowStepOrder": 1,    "chargebackWorkflowStepType": "string"
  }
  ]
}